javax.batch.api.partition

## Class AbstractPartitionAnalyzer

- java.lang.Object
- - javax.batch.api.partition.AbstractPartitionAnalyzer

All Implemented Interfaces:
  PartitionAnalyzer

    public abstract class AbstractPartitionAnalyzer
    extends Object
    implements PartitionAnalyzer

The AbstractPartitionAnalyzer provides default implementations of less commonly implemented methods.

### Constructor Summary

Constructors
Constructor and Description
`AbstractPartitionAnalyzer()`

### Method Summary

Methods
`void` `analyzeCollectorData(Serializable data)` Override this method to analyze PartitionCollector payloads.
`void` `analyzeStatus(BatchStatus batchStatus, String exitStatus)` Override this method to analyze partition end status.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractPartitionAnalyzer

    public AbstractPartitionAnalyzer()

### Method Detail

#### analyzeCollectorData

    public void analyzeCollectorData(Serializable data)
                              throws Exception

Override this method to analyze PartitionCollector payloads.

Specified by:
  `analyzeCollectorData` in interface `PartitionAnalyzer`
Parameters:
  `data` - specifies the payload sent by the PartitionCollector.
Throws:
  `Exception` - is thrown if an error occurs.

#### analyzeStatus

    public void analyzeStatus(BatchStatus batchStatus,
                     String exitStatus)
                       throws Exception

Override this method to analyze partition end status.

Specified by:
  `analyzeStatus` in interface `PartitionAnalyzer`
Parameters:
  `batchStatus` - specifies the batch status of a partition.
  `exitStatus` - specifies the exit status of a partition.
Throws:
  `Exception` - is thrown if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0